import grok
from waeup.kofa.interfaces import IKOFAObject
from zope.annotation.attribute import AttributeAnnotations
from zope.annotation.interfaces import IAnnotations

class KOFAAttributeAnnotations(AttributeAnnotations, grok.Adapter):
    """An adapter to IAnnotations for any KOFAObject.

    Providing this adapter, each KOFA object becomes (attribute)
    annotatable.
    """
    grok.provides(IAnnotations)
    grok.context(IKOFAObject)
